# BattlePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class BattlePhase

#### Hierarchy (View Summary)

- Phase
  - BattlePhase
    - BattleEndPhase
    - CheckSwitchPhase
    - EncounterPhase
    - FieldPhase
    - GameOverPhase
    - HidePartyExpBarPhase
    - ModifierRewardPhase
    - MoneyRewardPhase
    - MoveAnimTestPhase
    - MoveHeaderPhase
    - MovePhase
    - NewBattlePhase
    - PartyHealPhase
    - PokemonAnimPhase
    - QuietFormChangePhase
    - RevivalBlessingPhase
    - SelectBiomePhase
    - SelectModifierPhase
    - ShowTrainerPhase
    - SwitchBiomePhase
    - SwitchPhase
    - TeraPhase
    - ToggleDoublePositionPhase
    - TrainerMessageTestPhase
    - TrainerVictoryPhase

- Defined in src/phases/battle-phase.ts:5

##### Index

### Constructors

constructor

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new BattlePhase(): BattlePhase

  #### Returns BattlePhase

  Overrides Phase.constructor

  - Defined in src/phases/battle-phase.ts:6

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Inherited from Phase.start

  - Defined in src/phase.ts:4